Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io
Interface ATCommandListener

public interface ATCommandListener

The ATCommandListener interface defines the capabilities for receiving unsolicited AT-Events (e.g. like "RING") and changes of the relevant incoming interface signals (RING, DCD and DSR). When the user wants to receive AT-Events, an implementation class for the ATCommandListener interface must be created first. The ATEvent method of this class must contain the processing code for the different AT-Events and the RINGChanged, DCDChanged and DSRChanged methods possible processing code for the signal state changes. After creating an instance of the ATCommandListener class, this class instance has to be passed as a parameter to the ATCommand.addListener method. After that, the callback methods will be called by the runtime system each time the corresponding events (URCs or signal state changes) occur.
Please note that system start URCs like "^SYSSTART", "^SYSSTART ALARM MODE" or "^SYSSTART CHARGE-ONLY MODE" are passed to a Java application after the first AT command has been sent by the ATCommand class after module start. They are passed only to this instance of the ATCommand class which has sent the first AT command obviously only if it has registered an ATCommandListener instance before the command is sent.

See Also:
  `ATCommand`

Method Summary
`void` | `ATEvent(String Event)` Callback method for unsolicited AT-Events (URCs).
`void` | `CONNChanged(boolean SignalState)` Callback method for change of the state of a data connection.
`void` | `DCDChanged(boolean SignalState)` Callback method for change of the serial interface signal DCD (Data Carrier Detect).
`void` | `DSRChanged(boolean SignalState)` Callback method for change of the serial interface signal DSR (Data Set Ready).
`void` | `RINGChanged(boolean SignalState)` Callback method for change of the serial interface signal RING.

Method Detail

### ATEvent

    public void ATEvent(String Event)

  Callback method for unsolicited AT-Events (URCs). The callback method, will be called by the runtime system each time an AT-Event occurs on the AT-Interface, if an implementation class object is registered as listener for that instance of the ATCommand class. While implementing a class for the ATCommandListener interface, the user can place the code for incoming URC processing into this method.

  Parameters:
    `Event` - The occured AT-Event (URC).
  See Also:
    `ATCommand`, `ATCommand.addListener(com.siemens.icm.io.ATCommandListener)`

### RINGChanged

    public void RINGChanged(boolean SignalState)

  Callback method for change of the serial interface signal RING. The callback method, will be called by the runtime system each time time a change of the serial interface signal RING, if an implementation class object is registered as listener for that instance of the ATCommand class. While implementing a class for the ATCommandListener interface, the user can place the code for RING signal processing into this method. The ATCommand class replaces the connection of the devices AT interpreters to an external device through a serial interface. So this callback will be called each time the physical signal would be changed and is therefore some kind of a virtual RING signal.

  Parameters:
    `SignalState` - The new state of the RING signal.
  See Also:
    `ATCommand`, `ATCommand.addListener(com.siemens.icm.io.ATCommandListener)`

### DCDChanged

    public void DCDChanged(boolean SignalState)

  Callback method for change of the serial interface signal DCD (Data Carrier Detect). The callback method, will be called by the runtime system each time time a change of the serial interface signal DCD, if an implementation class object is registered as listener for that instance of the ATCommand class. While implementing a class for the ATCommandListener interface, the user can place the code for DCD signal processing into this method. The ATCommand class replaces the connection of the devices AT interpreters to an external device through a serial interface. So this callback will be called each time the physical signal would be changed and is therefore some kind of a virtual DCD signal.

  Parameters:
    `SignalState` - The new state of the DCD signal.
  See Also:
    `ATCommand`, `ATCommand.addListener(com.siemens.icm.io.ATCommandListener)`

### DSRChanged

    public void DSRChanged(boolean SignalState)

  Callback method for change of the serial interface signal DSR (Data Set Ready). The callback method, will be called by the runtime system each time time a change of the serial interface signal DSR, if an implementation class object is registered as listener for that instance of the ATCommand class. While implementing a class for the ATCommandListener interface, the user can place the code for DSR signal processing into this method. The ATCommand class replaces the connection of the devices AT interpreters to an external device through a serial interface. So this callback will be called each time the physical signal would be changed and is therefore some kind of a virtual DSR signal.

  Parameters:
    `SignalState` - The new state of the DSR signal.
  See Also:
    `ATCommand`, `ATCommand.addListener(com.siemens.icm.io.ATCommandListener)`

### CONNChanged

    public void CONNChanged(boolean SignalState)

  Callback method for change of the state of a data connection. The callback method, will be called by the runtime system each time a data connection state changes, if an implementation class object is registered as listener for that instance of the ATCommand class. The state of a data connection can change from opened to closed, from data mode to AT command mode and vice versa. While implementing a class for the ATCommandListener interface, the user can place the code for data connection processing into this method.

  Parameters:
    `SignalState` - The new state of a data connection.
  See Also:
    `ATCommand`, `ATCommand.addListener(com.siemens.icm.io.ATCommandListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.